using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ByProductWeight.Rpc.Dto;
using Forks.JsonRpc.Client;
using Newtonsoft.Json;

namespace ByProductWeight.Rpc
{
  public  class ByProductWeightRecordRpc
  {
    public static long Insert(ByProductWeightRecord record)
    {
      var json = JsonConvert.SerializeObject(record);
      var id = RpcFacade.Call<long>("/MainSystem/B3ClientService/Rpcs/BillRpc/ByProductWeightRecordRpc/Insert", json);
      return id;
    }
  }
}
